> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> Lists all API keys for the workspace associated with the Management API key.



## OpenAPI

````yaml reference/management-api_2024-05-20.json GET /api-keys
openapi: 3.0.0
info:
  title: Management API
  description: >-
    Managment API allows you to manage your Fingerprint account and applications
    programmatically from a server environment.
  version: '2024-05-20'
  contact: {}
servers:
  - url: https://management-api.fpjs.io
security:
  - Management-API-key: []
tags: []
paths:
  /api-keys:
    get:
      tags:
        - api-keys
      summary: List API keys
      description: >-
        Lists all API keys for the workspace associated with the Management API
        key.
      operationId: ApiKeysController_findAll
      parameters:
        - name: type
          required: false
          in: query
          description: Filters by API key type.
          schema:
            enum:
              - public
              - secret
              - proxy
            type: string
        - name: status
          required: false
          in: query
          description: Filters by API key status.
          schema:
            enum:
              - enabled
              - disabled
            type: string
        - name: environment
          required: false
          in: query
          description: Filters by environment ID.
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          description: >-
            Cursor token used for pagination. Response will contain items
            appearing after the given cursor.
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Sets the maximum number of items contained in a single page.
          schema:
            minimum: 0
            maximum: 101
            default: 10
            type: number
        - name: X-API-Version
          in: header
          description: Management API version.
          example: '2024-05-20'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of API keys matching the given query.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseDto'
        '401':
          description: 'Error: Invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '429':
          description: 'Error: API key has exceeded its rate limit.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ApiKeyResponseDtoV2'
        metadata:
          $ref: '#/components/schemas/PaginationMetadata'
      required:
        - data
        - metadata
    ApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseApiExceptionDto'
      required:
        - error
    ApiKeyResponseDtoV2:
      type: object
      properties:
        id:
          type: string
          description: Auto-generated ID for an API key
          example: tok_No3jUysGLCDuqB3RnCVf1weo
        name:
          type: string
          description: API key name
          example: My Public Key
        description:
          type: string
          description: API key description
          example: Description for my public key
        status:
          type: string
          enum:
            - enabled
            - disabled
          description: API key status, indicates if an API keys is enabled or disabled.
          example: enabled
        environment:
          type: object
          description: ID of an environment the API key belongs to.
          example: ae_rrETjdWcfqI6AFsk
          nullable: true
        type:
          type: string
          enum:
            - public
            - secret
            - proxy
          description: Type of an API key.
          example: public
        token:
          type: string
          description: >-
            Value of an API key. This field is immutable, and for secret keys
            it's only visible upon creation.
          example: eWDrrpGGLjDQW0LBA0Wj
        rate_limit:
          type: number
          description: Current limit in requests-per-second for the API key.
          example: 5
        created_at:
          format: date-time
          type: string
          description: Date when API key was created.
          example: '2024-05-31T01:24:39.506Z'
        disabled_at:
          format: date-time
          type: string
          description: Date when API key was disabled.
          example: null
      required:
        - id
        - name
        - status
        - environment
        - type
        - rate_limit
        - created_at
    PaginationMetadata:
      type: object
      properties:
        pagination:
          description: Object containing pagination metadata.
          allOf:
            - $ref: '#/components/schemas/PaginationData'
      required:
        - pagination
    BaseApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
      required:
        - message
        - code
    PaginationData:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          description: Cursor token to be used to get the next page of results.
          example: eyJrZXlzIjpbImlkIl0sInZhbHVlcyI6WyJhZV9JRVdWQVhrQURyN3BiNFYzI
        prevCursor:
          type: string
          nullable: true
          description: Cursor token used to get the previous page of results.
          example: null
      required:
        - nextCursor
        - prevCursor
  securitySchemes:
    Management-API-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````